<ng-template #extend>
  <div class="error">
    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
    <span>{{ 'modelOrganization.correctionOrganization.error.extend' | translate }}</span>
  </div>
</ng-template>

<ng-template #size>
  <div class="error">
    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
    <span>{{ 'modelOrganization.correctionOrganization.error.size' | translate }}</span>
  </div>
</ng-template>

<ng-template #file>
  <div class="error">
    <em nz-icon nzType="close-circle" nzTheme="outline"></em>
    <span>{{ 'modelOrganization.correctionOrganization.error.file' | translate }}</span>
  </div>
</ng-template>
<app-loading *ngIf="isLoading"></app-loading>
<form [formGroup]="createOrganization" nz-form class="form">
  <div class="form__top">
  <div nz-row class="form-row">
    <div nz-col nzSpan="6" class="form-row__left">
      <mb-input-text
        formControlName="sapNo"
        [mbType]="isSubmit && createOrganization.controls['sapNo'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmit && createOrganization.controls['sapNo'].errors !== null"
        [mbErrors]="createOrganization.controls['sapNo'].errors"
        [isFocus]='true'
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'modelOrganization.correctionOrganization.error.sapNo' | translate
          }
        ]"
        mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
        mbLabelText="{{
          'modelOrganization.correctionOrganization.label.numOfReport' | translate
        }} <span class='label__required'>*</span>"
      ></mb-input-text>
    </div>
    <div nz-col nzSpan="6" style="padding-left: 24px" class="form-row__center">
      <mb-date-picker
        mbMode="time"
        mbFormat="dd/MM/yyyy"
        [mbType]="isSubmit && createOrganization.controls['dateVisible'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmit && createOrganization.controls['dateVisible'].errors !== null"
        [mbErrors]="createOrganization.controls['dateVisible'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'modelOrganization.correctionOrganization.error.date' | translate
          }
        ]"
        mbLabelText="Ngày hiệu lực <span class='label__required'>*</span>"
        formControlName="dateVisible"
      >
      </mb-date-picker>
    </div>

    <div nz-col nzSpan="6" style="padding-left: 24px" class="form-row__right">
      <div class="title-input">
        <span nz-typography class="label-custom" style="font-weight: bold">File đính kèm</span>
        <p class="required">*</p>
      </div>
      <nz-form-item>
        <nz-form-control
          nzValidateStatus=""
          [nzErrorTip]="
            createOrganization.controls.fileName.errors?.extend
              ? extend
              : createOrganization.controls.fileName.errors?.size
              ? size
              : file
          "
        >
          <div style="display: flex; margin-top: 0.4rem">
            <img alt="" (click)="fileInput.click()" src="assets/images/icon/Group 14048.svg" />
            <input
              id="file"
              accept=".pdf"
              hidden
              formControlName="fileName"
              type="file"
              #fileInput
              (change)="handleFileInput($event)"
            />
            <mat-chip (removed)="removeChip()" *ngIf="fileName" class="form-row__right--mat-chip-file">
              <span nz-tooltip [nzTooltipTitle]="fileName" class="form-row__right--fileName">
                {{ fileName }}
              </span>

              <button matChipRemove class="form-row__right--button">
                <em nz-icon nzType="close-circle" nzTheme="outline"></em>
              </button>
            </mat-chip>
          </div>
        </nz-form-control>
      </nz-form-item>
    </div>
  </div>
  <div nz-row class="form-row">
    <div nz-col nzSpan="6" class="form-row__left">
      <div *ngIf="!viewInit">
        <div style="margin-top: 4px">
          <span nz-typography class="label-custom" style="font-weight: bold">Đơn vị cấp trên</span>
        </div>
        <h4 style="margin-top: 16px">{{ createOrganization.value.parentUnit }}</h4>
      </div>
      <mb-input-text
        *ngIf="viewInit"
        formControlName="parentUnit"
        [mbType]="isSubmit && createOrganization.controls['parentUnit'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmit && createOrganization.controls['parentUnit'].errors !== null"
        [mbErrors]="createOrganization.controls['parentUnit'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'modelOrganization.correctionOrganization.error.parentUnit' | translate
          }
        ]"
        (mbClick)="showModalOrg($event)"
        mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
        mbLabelText="{{
          'modelOrganization.correctionOrganization.label.superiorUnit' | translate
        }} <span class='label__required'>*</span>"
        [mbReadOnly]="true"
      ></mb-input-text>
      <em
        *ngIf="createOrganization.value.parentUnit && viewInit"
        nz-icon
        class="clear-icon"
        (click)="clearOrgInput()"
        nzType="close-circle"
        nzTheme="outline"
      ></em>
    </div>
    <div
      *ngIf="orgLevel !== 0 || (viewInit && orgLevel !== 0)"
      nz-col
      nzSpan="6"
      style="padding-left: 24px"
      class="form-row__center"
    >
      <mb-select
        [mbDataSelects]="areas"
        [mbDisable]="viewEdit || (orgLevel !== 0 && orgLevel !== 1 && orgLevel !== undefined)"
        mbKeyLabel="lvaMean"
        mbKeyValue="lvaValue"
        mbLabelText="{{ 'modelOrganization.correctionOrganization.label.area' | translate }}"
        mbPlaceholder="{{ 'modelOrganization.correctionOrganization.placeHoder.chooseOrType' | translate }}"
        [mbOptionHeightPx]="58"
        formControlName="area"
      ></mb-select>
    </div>
    <div
      *ngIf="orgLevel !== 0 || (viewInit && orgLevel !== 0)"
      nz-col
      nzSpan="6"
      style="padding-left: 24px"
      class="form-row__right"
    >
      <mb-select
        [mbDataSelects]="types"
        [mbDisable]="viewEdit || (orgLevel !== 0 && orgLevel !== 1 && orgLevel !== undefined)"
        mbKeyLabel="lvaMean"
        mbKeyValue="lvaValue"
        mbLabelText="{{ 'modelOrganization.correctionOrganization.label.typeBranch' | translate }}"
        mbPlaceholder="{{ 'modelOrganization.correctionOrganization.placeHoder.chooseOrType' | translate }}"
        [mbOptionHeightPx]="58"
        formControlName="branch"
        (mbSelect)="selectBranch($event)"
      ></mb-select>
    </div>

    <div nz-col nzSpan="6" style="padding-left: 24px" class="form-row__right" *ngIf="createOrganization.value.legalBranch || showLegalBranch">
      <mb-select
        [mbDataSelects]="listLegalBranch"
        [mbDisable]="viewEdit || (orgLevel !== 0 && orgLevel !== 1 && orgLevel !== undefined)"
        mbKeyLabel="orgName"
        mbKeyValue="orgId"
        mbLabelText="{{
          'modelOrganization.correctionOrganization.label.legalBranch' | translate
        }} <span class='label__required'>*</span>"
        mbPlaceholder="{{ 'modelOrganization.correctionOrganization.placeHoder.chooseOrType' | translate }}"
        [mbOptionHeightPx]="58"
        formControlName="legalBranch"
        [mbType]="isSubmit && createOrganization.controls['legalBranch'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmit && createOrganization.controls['legalBranch'].errors !== null"
        [mbErrors]="createOrganization.controls['legalBranch'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription: 'modelOrganization.correctionOrganization.error.legalBranch' | translate
          }
        ]"
      ></mb-select>
    </div>
  </div>

  <div nz-row class="template">
    <nz-divider></nz-divider>
    <div nz-col nzSpan="6">
      <mb-select
        [mbDataSelects]="listTemplate"
        mbKeyLabel="orgName"
        mbKeyValue="orgId"
        mbLabelText="Chọn biểu mẫu"
        mbPlaceholder="{{ 'modelOrganization.correctionOrganization.placeHoder.chooseOrType' | translate }}"
        [mbOptionHeightPx]="58"
        formControlName="orgSelected"
      ></mb-select>
    </div>
    <div nz-col nzSpan="16" class="template__right">
      <mb-button
        mbButtonSize="VERY_LARGE"
        mbButtonAvailableStyle="CUSTOM"
        (click)="createOrg()"
        mbButtonText="Sao chép"
      ></mb-button>
    </div>
  </div>
</div>
  <div class="jd-table">
    <nz-table
      #basicTable
      nzTableLayout="fixed"
      [nzData]="listData.length ? listData : []"
      [nzFrontPagination]="false"
      [nzShowPagination]="false"
      nzSize="small"
    >
      <thead>
        <tr>
          <th scope="col" class="jd-table__label" nzWidth="35%">Tên đơn vị</th>
          <th scope="col" class="jd-table__label" nzWidth="30%">Chức năng chuyên biệt</th>
          <th scope="col" class="jd-table__label" nzWidth="30%">Job</th>
          <th scope="col" class="jd-table__label" nzWidth="5%"></th>
        </tr>
      </thead>
      <tbody>
        <ng-container *ngFor="let data of listData; let i = index">
          <tr>
            <td>
              <div class="fun-row">
                <div class="fun-row__form">
                  <mb-input-text
                    [formControl]="data.control"
                    [defaultInput]="true"
                    [mbType]="(isSubmit && data.control.errors) || data.control.errors?.pattern ? 'error' : 'default'"
                    [mbShowError]="(isSubmit && data.control.errors !== null) || data.control.errors?.pattern"
                    [mbErrors]="data.control.errors"
                    [mbErrorDefs]="[
                      {
                        errorName: 'required',
                        errorDescription: 'modelOrganization.correctionOrganization.error.dup' | translate
                      },
                      {
                        errorName: 'pattern',
                        errorDescription: 'modelOrganization.correctionOrganization.error.specialSymbol' | translate
                      },
                      {
                        errorName: 'dup',
                        errorDescription: 'modelOrganization.validate.duplicateUnit' | translate
                      }
                    ]"
                    mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
                    (mbKeyup)="checkDuplicate(data.control, $event, listData)"
                    [mbShowFlexEnd]="false"
                  ></mb-input-text>
                </div>
              </div>
            </td>

            <td>
              <div *ngFor="let fun of data.function; let f1 = index">
                <div class="fun-row">
                  <div class="fun-row__form">
                    <div
                      *ngIf="(isSubmit && data.control.errors) || data.control.errors?.pattern"
                      style="height: 1.7rem"
                    ></div>
                    <mb-input-text
                      [formControl]="fun.value"
                      [mbType]="fun.value.errors || fun.value.errors?.pattern ? 'error' : 'default'"
                      [defaultInput]="true"
                      [mbShowError]="(fun.value.errors || fun.value.errors?.pattern) !== null"
                      [mbErrors]="fun.value.errors"
                      [mbErrorDefs]="[
                        {
                          errorName: 'pattern',
                          errorDescription: 'modelOrganization.correctionOrganization.error.specialSymbol' | translate
                        },
                        {
                          errorName: 'duplicate',
                          errorDescription: 'Trùng chức năng chuyên biệt'
                        }
                      ]"
                      mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
                      [mbShowFlexEnd]="false"
                      (ngModelChange)="findDuplicate(data.function)"
                    ></mb-input-text>
                  </div>

                  <div class="fun-row__action">
                    <a class="add-text" (click)="addFunction(data.function)">
                      <img alt="" src="assets/images/icon/add_circle_outline.svg"
                    /></a>
                    <a style="margin-left: 16px" (click)="deleteFunction(data.function, f1)">
                      <img alt="" src="assets/images/icon/delete_outline.svg" />
                    </a>
                  </div>
                </div>
              </div>
            </td>
            <td>
              <div *ngFor="let fun of data.function; let f1 = index">
                <div class="job-col">
                  <app-job-select
                    [list-input]="allFruits"
                    [type]="type"
                    [list-select]="fun.job"
                    (eventAdd)="updateJob($event)"
                    class="form-row__input"
                  ></app-job-select>
                  <div
                    *ngIf="
                      (isSubmit && data.control.errors !== null) ||
                      data.control.errors?.pattern ||
                      fun.value.errors ||
                      fun.value.errors?.pattern
                    "
                    style="height: 1.7rem"
                  ></div>
                </div>
              </div>
            </td>
            <td>
              <div *ngIf="!viewEdit" class="main-job-card__table--action">
                <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                  <mat-icon class="main-job-card__table--action__icon">more_horiz</mat-icon>
                </button>

                <mat-menu #menu="matMenu">
                  <div mat-menu-item class="action-button" (click)="addOrg(data)">
                    <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                    <span nz-typography>Thêm đơn vị trực thuộc</span>
                  </div>
                  <div mat-menu-item class="action-button" (click)="addOrgLevel(listData, 0)">
                    <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                    <span nz-typography>Thêm đơn vị ngang cấp</span>
                  </div>

                  <div mat-menu-item class="action-button" (click)="coppyOrg(listData, data)">
                    <a><img alt="" src="assets/images/icon/copy.svg" /></a>
                    <span nz-typography>Sao chép</span>
                  </div>

                  <div mat-menu-item class="action-button" (click)="deleteOrg(listData, i)">
                    <a><img alt="" src="assets/images/icon/delete.svg" /></a>
                    <span nz-typography>Xóa</span>
                  </div>
                </mat-menu>
              </div>
            </td>
          </tr>

          <ng-container *ngFor="let dv1 of data.children; let i1 = index">
            <tr>
              <td style="padding-left: 3%">
                <mb-input-text
                  [formControl]="dv1.control"
                  [mbType]="isSubmit && dv1.control.errors ? 'error' : 'default'"
                  [mbShowError]="isSubmit && dv1.control.errors !== null"
                  [mbErrors]="dv1.control.errors"
                  [mbErrorDefs]="[
                    {
                      errorName: 'required',
                      errorDescription: 'modelOrganization.correctionOrganization.error.dup' | translate
                    },
                    {
                      errorName: 'dup',
                      errorDescription: 'modelOrganization.validate.duplicateUnit' | translate
                    }
                  ]"
                  mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
                  [mbShowFlexEnd]="false"
                  (mbKeyup)="checkDuplicate(dv1.control, $event, data.children)"
                ></mb-input-text>
              </td>
              <td>
                <div *ngFor="let fun of dv1.function; let f2 = index">
                  <div class="fun-row">
                    <div class="fun-row__form">
                      <mb-input-text
                        [formControl]="fun.value"
                        [mbType]="fun.value.errors || fun.value.errors?.pattern ? 'error' : 'default'"
                        [defaultInput]="true"
                        [mbShowError]="(fun.value.errors || fun.value.errors?.pattern) !== null"
                        [mbErrors]="fun.value.errors"
                        [mbErrorDefs]="[
                          {
                            errorName: 'pattern',
                            errorDescription:
                              'modelOrganization.correctionOrganization.error.specialSymbol' | translate
                          },
                          {
                            errorName: 'duplicate',
                            errorDescription: 'Trùng chức năng chuyên biệt' | translate
                          }
                        ]"
                        mbPlaceholderText="{{
                          'modelOrganization.correctionOrganization.placeHoder.type' | translate
                        }}"
                        [mbShowFlexEnd]="false"
                        (ngModelChange)="findDuplicate(dv1.function)"
                      ></mb-input-text>
                    </div>
                    <div class="fun-row__action">
                      <a class="add-text" (click)="addFunction(dv1.function)"
                        ><img alt="" src="assets/images/icon/add_circle_outline.svg"
                      /></a>
                      <a style="margin-left: 16px" (click)="deleteFunction(dv1.function, f2)"
                        ><img alt="" src="assets/images/icon/delete_outline.svg"
                      /></a>
                    </div>
                  </div>
                </div>
              </td>
              <td>
                <div *ngFor="let fun of dv1.function; let f1 = index">
                  <div class="job-col">
                    <app-job-select
                      [list-input]="allFruits"
                      [list-select]="fun.job"
                      (eventAdd)="updateJob($event)"
                      class="form-row__input"
                    ></app-job-select>
                  </div>
                </div>
              </td>
              <td>
                <div class="main-job-card__table--action">
                  <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                    <mat-icon class="main-job-card__table--action__icon">more_horiz</mat-icon>
                  </button>

                  <mat-menu #menu="matMenu">
                    <div mat-menu-item class="action-button" (click)="addOrg(dv1)">
                      <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                      <span nz-typography>Thêm đơn vị trực thuộc</span>
                    </div>
                    <div mat-menu-item class="action-button" (click)="addOrgLevel(data.children, 1)">
                      <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                      <span nz-typography>Thêm đơn vị ngang cấp</span>
                    </div>

                    <div mat-menu-item class="action-button" (click)="coppyOrg(data.children, dv1)">
                      <a><img alt="" src="assets/images/icon/copy.svg" /></a>
                      <span nz-typography>Sao chép</span>
                    </div>

                    <div mat-menu-item class="action-button" (click)="deleteOrgChild(data.children, i1)">
                      <a><img alt="" src="assets/images/icon/delete.svg" /></a>
                      <span nz-typography>Xóa</span>
                    </div>
                  </mat-menu>
                </div>
              </td>
            </tr>

            <ng-container *ngFor="let dv2 of dv1.children; let i2 = index">
              <tr>
                <td style="padding-left: 5%">
                  <div class="fun-row__form">
                    <mb-input-text
                      [formControl]="dv2.control"
                      [mbType]="isSubmit && dv2.control.errors ? 'error' : 'default'"
                      [mbShowError]="isSubmit && dv2.control.errors !== null"
                      [mbErrors]="dv2.control.errors"
                      [mbErrorDefs]="[
                        {
                          errorName: 'required',
                          errorDescription: 'modelOrganization.correctionOrganization.error.dup' | translate
                        },
                        {
                          errorName: 'dup',
                          errorDescription: 'modelOrganization.validate.duplicateUnit' | translate
                        }
                      ]"
                      mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
                      [mbShowFlexEnd]="false"
                      (mbKeyup)="checkDuplicate(dv2.control, $event, dv1.children)"
                    ></mb-input-text>
                  </div>
                </td>

                <td>
                  <div *ngFor="let fun of dv2.function; let f3 = index">
                    <div class="fun-row">
                      <div class="fun-row__form">
                        <mb-input-text
                          [formControl]="fun.value"
                          [mbType]="fun.value.errors || fun.value.errors?.pattern ? 'error' : 'default'"
                          [defaultInput]="true"
                          [mbShowError]="(fun.value.errors || fun.value.errors?.pattern) !== null"
                          [mbErrors]="fun.value.errors"
                          [mbErrorDefs]="[
                            {
                              errorName: 'pattern',
                              errorDescription:
                                'modelOrganization.correctionOrganization.error.specialSymbol' | translate
                            },
                            {
                              errorName: 'duplicate',
                              errorDescription: 'Trùng chức năng chuyên biệt' | translate
                            }
                          ]"
                          mbPlaceholderText="{{
                            'modelOrganization.correctionOrganization.placeHoder.type' | translate
                          }}"
                          [mbShowFlexEnd]="false"
                          (ngModelChange)="findDuplicate(dv2.function)"
                        ></mb-input-text>
                      </div>
                      <div class="fun-row__action">
                        <a class="add-text" (click)="addFunction(dv2.function)"
                          ><img alt="" src="assets/images/icon/add_circle_outline.svg"
                        /></a>
                        <a style="margin-left: 16px" (click)="deleteFunction(dv2.function, f3)"
                          ><img alt="" src="assets/images/icon/delete_outline.svg"
                        /></a>
                      </div>
                    </div>
                  </div>
                </td>
                <td>
                  <div *ngFor="let fun of dv2.function; let f1 = index">
                    <div class="job-col">
                      <app-job-select
                        [list-input]="allFruits"
                        [list-select]="fun.job"
                        (eventAdd)="updateJob($event)"
                        class="form-row__input"
                      ></app-job-select>
                    </div>
                  </div>
                </td>
                <td>
                  <div class="main-job-card__table--action">
                    <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                      <mat-icon class="main-job-card__table--action__icon">more_horiz</mat-icon>
                    </button>

                    <mat-menu #menu="matMenu">
                      <div mat-menu-item class="action-button" (click)="addOrg(dv2)">
                        <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                        <span nz-typography>Thêm đơn vị trực thuộc</span>
                      </div>
                      <div mat-menu-item class="action-button" (click)="addOrgLevel(dv1.children, 2)">
                        <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                        <span nz-typography>Thêm đơn vị ngang cấp</span>
                      </div>

                      <div mat-menu-item class="action-button" (click)="coppyOrg(dv1.children, dv2)">
                        <a><img alt="" src="assets/images/icon/copy.svg" /></a>
                        <span nz-typography>Sao chép</span>
                      </div>

                      <div mat-menu-item class="action-button" (click)="deleteOrgChild(dv1.children, i2)">
                        <a><img alt="" src="assets/images/icon/delete.svg" /></a>
                        <span nz-typography>Xóa</span>
                      </div>
                    </mat-menu>
                  </div>
                </td>
              </tr>

              <ng-container *ngFor="let dv3 of dv2.children; let i3 = index">
                <tr>
                  <td style="padding-left: 7%">
                    <mb-input-text
                      [formControl]="dv3.control"
                      [mbType]="isSubmit && dv3.control.errors ? 'error' : 'default'"
                      [mbShowError]="isSubmit && dv3.control.errors !== null"
                      [mbErrors]="dv3.control.errors"
                      [mbErrorDefs]="[
                        {
                          errorName: 'required',
                          errorDescription: 'modelOrganization.correctionOrganization.error.dup' | translate
                        },
                        {
                          errorName: 'dup',
                          errorDescription: 'modelOrganization.validate.duplicateUnit' | translate
                        }
                      ]"
                      mbPlaceholderText="{{ 'modelOrganization.correctionOrganization.placeHoder.type' | translate }}"
                      [mbShowFlexEnd]="false"
                      (mbKeyup)="checkDuplicate(dv3.control, $event, dv2.children)"
                    ></mb-input-text>
                  </td>
                  <td>
                    <div *ngFor="let fun of dv3.function; let f4 = index">
                      <div class="fun-row">
                        <div class="fun-row__form">
                          <mb-input-text
                            [formControl]="fun.value"
                            [mbType]="fun.value.errors || fun.value.errors?.pattern ? 'error' : 'default'"
                            [defaultInput]="true"
                            [mbShowError]="(fun.value.errors || fun.value.errors?.pattern) !== null"
                            [mbErrors]="fun.value.errors"
                            [mbErrorDefs]="[
                              {
                                errorName: 'pattern',
                                errorDescription:
                                  'modelOrganization.correctionOrganization.error.specialSymbol' | translate
                              },
                              {
                                errorName: 'duplicate',
                                errorDescription: 'Trùng chức năng chuyên biệt' | translate
                              }
                            ]"
                            mbPlaceholderText="{{
                              'modelOrganization.correctionOrganization.placeHoder.type' | translate
                            }}"
                            [mbShowFlexEnd]="false"
                            (ngModelChange)="findDuplicate(dv3.function)"
                          ></mb-input-text>
                        </div>
                        <div class="fun-row__action">
                          <a class="add-text" (click)="addFunction(dv3.function)"
                            ><img alt="" src="assets/images/icon/add_circle_outline.svg"
                          /></a>
                          <a style="margin-left: 16px" (click)="deleteFunction(dv3.function, f4)"
                            ><img alt="" src="assets/images/icon/delete_outline.svg"
                          /></a>
                        </div>
                      </div>
                    </div>
                  </td>
                  <td>
                    <div *ngFor="let fun of dv3.function; let f1 = index">
                      <div class="job-col">
                        <app-job-select
                          [list-input]="allFruits"
                          [list-select]="fun.job"
                          (eventAdd)="updateJob($event)"
                          class="form-row__input"
                        ></app-job-select>
                      </div>
                    </div>
                  </td>
                  <td>
                    <div class="main-job-card__table--action">
                      <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                        <mat-icon class="main-job-card__table--action__icon">more_horiz</mat-icon>
                      </button>

                      <mat-menu #menu="matMenu">
                        <div mat-menu-item class="action-button" (click)="addOrgLevel(dv2.children, 3)">
                          <a><img alt="" src="assets/images/icon/plus.svg" /> </a>
                          <span nz-typography>Thêm đơn vị ngang cấp</span>
                        </div>

                        <div mat-menu-item class="action-button" (click)="coppyOrg(dv2.children, dv3)">
                          <a><img alt="" src="assets/images/icon/copy.svg" /></a>
                          <span nz-typography>Sao chép</span>
                        </div>

                        <div mat-menu-item class="action-button" (click)="deleteOrgChild(dv2.children, i3)">
                          <a><img alt="" src="assets/images/icon/delete.svg" /></a>
                          <span nz-typography>Xóa</span>
                        </div>
                      </mat-menu>
                    </div>
                  </td>
                </tr>
              </ng-container>
            </ng-container>
          </ng-container>
        </ng-container>
      </tbody>
    </nz-table>
  </div>
</form>
